aboutsummaryrefslogtreecommitdiff
path: root/contrib/extraction/test/extract
diff options
context:
space:
mode:
authorletouzey2001-04-23 11:15:59 +0000
committerletouzey2001-04-23 11:15:59 +0000
commit6a05d25e60d645f6af4ed7f89f6bd22bcf129c9f (patch)
tree593aa047484e42b64901252a084300308b81a9da /contrib/extraction/test/extract
parent26d226accb776c4a146967583a4096870c916688 (diff)
Remaniement Makefile de test. make reals possible
git-svn-id: svn+ssh://scm.gforge.inria.fr/svn/coq/trunk@1661 85f007b7-540e-0410-9357-904b9bb8a0f7
Diffstat (limited to 'contrib/extraction/test/extract')
-rwxr-xr-xcontrib/extraction/test/extract10
1 files changed, 6 insertions, 4 deletions
diff --git a/contrib/extraction/test/extract b/contrib/extraction/test/extract
index b5d6a6a787..356a362099 100755
--- a/contrib/extraction/test/extract
+++ b/contrib/extraction/test/extract
@@ -1,8 +1,10 @@
#!/bin/sh
-rm -f /tmp/extr.v
+rm -f /tmp/extr$$.v
d=`dirname $1`
n=`basename $1 .v`
-echo "Cd \"$d\". Extraction Module $n. " > /tmp/extr$$.v;\
-(../../../bin/coqtop.opt -silent -batch -require $n -load-vernac-source /tmp/extr$$.v && rm -f /tmp/extr$$.v) || (rm -f /tmp/extr$$.v; exit 1)
-
+echo "Cd \"$d\". Extraction Module $n. " > /tmp/extr$$.v
+../../../bin/coqtop.opt -silent -batch -require $n -load-vernac-source /tmp/extr$$.v
+out=$?
+rm -f /tmp/extr$$.v
+exit $out